package com.gic.haoban.manage.api.enums;

/**
 * Created by hua on 2020/6/24.
 */
public enum ChannelCodeEnum {
    ADMIN_BIND(1001,"后台管理员绑定"),
    SELF_BIND(1002,"好办客户端绑定"),
    AUDIT_BIND(1003,"审核绑定"),
    SYNC_BIND(1004,"GIC同步绑定"),
    ADMIN_UNBIND(2001,"后台管理员解绑"),
    SELF_UNBIND(2002,"好办客户端解绑"),
    SYNC_UNBIND(2003,"GIC同步解绑"),
    WEIXIN_DEL(2004,"微信删除解绑"),
    AUDIT_UNBIND(2005,"审核解绑"),
    RIGHT_CHANGE_UNBIND(2006, "权限变更解绑"),
    STORE_CHANGE_UNBIND(2007, "门店变更解绑"),
//    CHANGR_RIGHT_UNBIND(2005,"审核解绑"),
    ;
    private int code;
    private String name;

    ChannelCodeEnum(int code, String name) {
        this.code = code;
        this.name = name;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public static String getNameByCode(int code) {
        ChannelCodeEnum[] values = ChannelCodeEnum.values();
        for (ChannelCodeEnum channelCodeEnum : values) {
            if (channelCodeEnum.getCode() == code) {
                return channelCodeEnum.getName();
            }
        }
        return null;
    }
}
