package com.gic.haoban.manage.service.dao.mapper;

import com.gic.haoban.manage.service.entity.TabStaffPrivacyUseLog;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author xuwenqian
 * @date 2021/12/15 10:35
 */
@Mapper
public interface StaffPrivacyUseLogMapper {
    /**
     * 新增
     *
     * @param tabStaffPrivacyUseLog 选项卡的员工隐私使用日志
     * @return int
     * @author mozhu
     * @date 2021-12-15 10:41:51
     */
    int insert(TabStaffPrivacyUseLog tabStaffPrivacyUseLog);

    /**
     * 更新
     *
     * @param tabStaffPrivacyUseLog 选项卡的员工隐私使用日志
     * @return int
     * @author mozhu
     * @date 2021-12-15 10:44:22
     */
    int update(TabStaffPrivacyUseLog tabStaffPrivacyUseLog);

    /**
     * 查询
     *
     * @param staffId 员工id
     * @return {@link List<TabStaffPrivacyUseLog> }
     * @author mozhu
     * @date 2021-12-15 10:49:02
     */
    TabStaffPrivacyUseLog getByStaffId(@Param("staffId") String staffId);

}
