package com.gic.haoban.manage.service.dao.mapper;

import com.gic.haoban.manage.service.entity.TabHaobanWxApplication;
import org.apache.ibatis.annotations.Param;

public interface WxApplicationMapper {
    int deleteByPrimaryKey(String wxApplicationId);

    int insertSelective(TabHaobanWxApplication record);

    TabHaobanWxApplication selectByPrimaryKey(String wxApplicationId);

    int updateByPrimaryKeySelective(TabHaobanWxApplication record);

    TabHaobanWxApplication selectBySiteIdAndWxEnterpriseId(@Param("siteId") String siteId, @Param("wxEnterpriseId") String wxEnterpriseId);

    TabHaobanWxApplication selectByWxEnterpriseIdAndApplicationType(@Param("wxEnterpriseId") String wxEnterpriseId,
                                                                    @Param("applicationType") int applicationType);

    int cancelWxApplication(@Param("corpId") String corpId, @Param("suiteId") String suiteId);

    /**
     * 选择通过公司id
     *
     * @param corpid          corpid
     * @param applicationType 应用程序类型
     * @return {@link TabHaobanWxApplication}
     * @author mozhu
     * @date 2021-12-21 22:00:54
     */
    TabHaobanWxApplication selectByCorpId(@Param("corpid") String corpid,@Param("applicationType") Integer applicationType);
}