package com.gic.haoban.manage.service.mq;

import com.gic.haoban.manage.api.service.mq.MemberUnionRelateConsumer;
import com.gic.haoban.manage.service.mq.processor.AddMemberUnionRelateConsumerProcessor;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * desc：微信会员消费服务实现
 *
 * @author: YongEn
 * @date: 2022/2/16
 **/
@Service
public class MemberUnionRelateConsumerImpl implements MemberUnionRelateConsumer {

    @Autowired
    private AddMemberUnionRelateConsumerProcessor addMemberUnionRelateConsumerProcessor;

    @Override
    public void addMemberUnionRelate(String messageParam) {
        addMemberUnionRelateConsumerProcessor.process(messageParam);
    }
}
