package com.gic.haoban.manage.service.service;

import com.gic.api.base.commons.Page;
import com.gic.haoban.manage.api.dto.QywxTagInfoDTO;
import com.gic.haoban.manage.api.dto.QywxTagItemDTO;
import com.gic.haoban.manage.service.entity.TabQywxSyncLog;
import com.gic.haoban.manage.service.entity.TabQywxTag;
import com.gic.haoban.manage.service.entity.TabQywxTagItem;
import com.gic.haoban.manage.service.entity.TabQywxTagRelation;
import com.gic.member.tag.api.base.BasePageInfo;
import com.gic.wechat.api.dto.qywx.QywxTagGroupDTO;
import org.apache.commons.lang3.tuple.Pair;

import java.util.List;

/**
 * Created 2021/6/21.
 *
 * @author hua
 */
public interface QywxTagSyncLogService {
    /**
     * 分页查询日志
     *
     * @param wxEnterpriseId
     * @param enterpriseId
     * @param search
     * @param pageInfo
     * @return
     */
    public Page<TabQywxSyncLog> pageLog(String wxEnterpriseId, String enterpriseId, String search, BasePageInfo pageInfo);

    /**
     * 保存日志
     *
     * @param tabQywxSyncLog
     * @return
     */
    public boolean saveSyncLog(TabQywxSyncLog tabQywxSyncLog);
}
