package com.gic.haoban.manage.service.util;

import org.apache.commons.io.IOUtils;
import org.slf4j.Logger;

import java.io.InputStream;
import java.net.URL;

import static org.slf4j.LoggerFactory.getLogger;

/**
 * Created 2021/4/16.
 *
 * @author hua
 */
public class CommonUtil {
    private static final Logger logger = getLogger(CommonUtil.class);

    /**
     * 获取字符串
     *
     * @param url
     * @return
     */
    public static byte[] getFileByte(String url) {

        try {
            InputStream in = new URL(url).openStream();
            byte[] data = IOUtils.toByteArray(in);
            return data;
        } catch (Exception e) {
            logger.info("【异常】" + e.getMessage(), e);
        }
        return null;
    }

}
