package com.gic.haoban.manage.service.service;

import java.util.List;
import java.util.Set;

import com.gic.haoban.manage.service.entity.TabHaobanClerkMainStoreRelated;

public interface ClerkMainStoreRelatedService {

	void setMainStore(String staffId, String storeId, String wxEnterpriseId);

	TabHaobanClerkMainStoreRelated selectByWxEnterpriseIdAndStoreId(String staffId, String wxEnterpriseId);

	/**
	 * 获取主门店 如果没有主门店设置主门店
	 *
	 * @param staffId
	 * @param wxEnterpriseId
	 * @return
	 */
	TabHaobanClerkMainStoreRelated getMainStoreByStaffId(String staffId, String wxEnterpriseId);

	/**
	 * 删除主门店 并删除主门店好友 设置新主门店
	 *
	 * @param staffId
	 * @param storeId
	 * @param wxEnterpriseId
	 */
	void delMainStore(String staffId, String storeId, String wxEnterpriseId);

	/**
	 * 根据门店列表 删除主门店
	 *
	 * @param storeIds
	 */
	void delMainStoreByStoreIds(Set<String> storeIds);

	void update(TabHaobanClerkMainStoreRelated r);

	List<TabHaobanClerkMainStoreRelated> listByWxEnterpriseId(String wxEnterpriseId);


}
