package com.gic.haoban.manage.service.service;

import com.gic.haoban.manage.api.dto.StaffDepartmentRelatedDTO;
import com.gic.haoban.manage.service.entity.TabHaobanStaffDepartmentRelated;

import java.util.List;

public interface StaffDepartmentRelatedService {

	List<TabHaobanStaffDepartmentRelated> listByDepartmentId(String departmentId);

	String add(StaffDepartmentRelatedDTO related);

	List<TabHaobanStaffDepartmentRelated> listStaffDepartmentByStaffId(String staffId);

	StaffDepartmentRelatedDTO selectById(String staffDepartmentStaffRelatedId);

	void del(StaffDepartmentRelatedDTO related);

	void delByUserid(String userid);

	TabHaobanStaffDepartmentRelated getDepartmentIdAndStaffId(String departmentId, String staffId);

	int countByDepartmentId(String departmentId);

	List<TabHaobanStaffDepartmentRelated> listByDepartmentIdByKeyword(List<String> departmentId, String keyword);
	
	List<TabHaobanStaffDepartmentRelated> listByWxUserId(String wxUserId);

	StaffDepartmentRelatedDTO getById(String staffDepartmentStaffRelatedId);

	/**
	 * 清空stafff
	 * @param wxEnterpriseId
	 * @param staffIds
	 * @return
	 */
	public int cleanStaffDepartment(String wxEnterpriseId,List<String> staffIds);

	public int update(TabHaobanStaffDepartmentRelated tab);

}
