package com.gic.haoban.manage.service.service.out.impl;

import com.gic.api.base.commons.Page;
import com.gic.haoban.base.api.common.BasePageInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.gic.haoban.manage.api.dto.MaidianLogDTO;
import com.gic.haoban.manage.api.service.MaidianLogApiService;
import com.gic.haoban.manage.service.service.MaidianLogService;

import java.util.List;

@Service
public class MaidianLogApiServiceImpl implements MaidianLogApiService {

	@Autowired
	private MaidianLogService maidianLogService;
	
	@Override
	public void insert(MaidianLogDTO maidianLogDTO) {
		maidianLogService.insert(maidianLogDTO);
	}

	@Override
	public Page<MaidianLogDTO> queryList(String hbversion, BasePageInfo pageInfo) {
		Page<MaidianLogDTO> page = maidianLogService.queryList(hbversion, pageInfo);
		return page;
	}
}
